Search found 1 match

by Lary
Sun Aug 12, 2018 3:13 pm
Forum: Member Tools
Topic: Why does ministering require LDS Tools 3.5?
Replies: 5
Views: 1437

Re: Why does ministering require LDS Tools 3.5?

I also am unable to see any Ministering information (either who ministers to me or the folks to whom I minister). Currently running Android version 8.0.0 and Samsung Experience version 9.0.

Go to advanced search